﻿export declare const ESLintConfigTypeScript: {
    plugins: string[];
    env: {
        es6: boolean;
        browser: boolean;
    };
    extends: string[];
    parserOptions: {
        ecmaVersion: string;
        sourceType: string;
    };
    ignorePatterns: string[];
} & {
    parser: string;
    plugins: string[];
    extends: string[];
    parserOptions: {
        tsconfigRootDir: string;
        project: string[];
    };
};
export declare const ESLintSecurityTypeScript: {
    plugins: string[];
    extends: string[];
    rules: {
        'no-unsanitized/method': string;
        'no-unsanitized/property': string;
        'xss/no-location-href-assign': (number | {
            escapeFunc: string;
        })[];
        'xss/no-mixed-html': (number | {
            htmlVariableRules: string[];
            htmlFunctionRules: string[];
            functions: {
                $: {
                    htmlInput: boolean;
                    safe: string[];
                };
                '.html': {
                    htmlInput: boolean;
                    htmlOutput: boolean;
                };
                '.join': {
                    passthrough: {
                        obj: boolean;
                        args: boolean;
                    };
                };
            };
        })[];
        'no-secrets/no-secrets': string;
        'pii/no-email': string;
        'pii/no-dob': string;
        'pii/no-ip': string;
        'pii/no-phone-number': string;
    };
    env: {
        es6: boolean;
        browser: boolean;
    };
    parserOptions: {
        ecmaVersion: string;
        sourceType: string;
    };
    ignorePatterns: string[];
} & {
    parser: string;
    plugins: string[];
    extends: string[];
    parserOptions: {
        tsconfigRootDir: string;
        project: string[];
    };
};
